Skip to main content
GET
/
packages
/
{package_id}
Get Package Information
curl --request GET \
  --url https://api.xplenty.com/{account_id}/api/packages/{package_id} \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": 123,
  "name": "<string>",
  "description": "<string>",
  "variables": {},
  "owner_id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "html_url": "<string>",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Path Parameters

package_id
integer
required

The unique ID of the package

Response

Successful response

id
integer
name
string
description
string
variables
object
owner_id
integer
created_at
string<date-time>
updated_at
string<date-time>
url
string<uri>
html_url
string<uri>
status
string
Last modified on April 15, 2026